<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/runtime/CL/functions/CLOpticalFlow.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_c_l_optical_flow_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CLOpticalFlow.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_c_l_optical_flow_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_CLOPTICALFLOW_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_CLOPTICALFLOW_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_l_k_tracker_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLLKTrackerKernel.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_i_array_8h.xhtml">arm_compute/core/IArray.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_types_8h.xhtml">arm_compute/core/Types.h</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_array_8h.xhtml">arm_compute/runtime/CL/CLArray.h</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_tensor_8h.xhtml">arm_compute/runtime/CL/CLTensor.h</a>&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_scharr3x3_8h.xhtml">arm_compute/runtime/CL/functions/CLScharr3x3.h</a>&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_i_function_8h.xhtml">arm_compute/runtime/IFunction.h</a>&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;cstddef&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;cstdint&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacearm__compute.xhtml">arm_compute</a></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;{</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">class </span>CLPyramid;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="namespacearm__compute.xhtml#a70997613219641045213b0c12948fb74">   44</a></span>&#160;<span class="keyword">using</span> <a class="code" href="classarm__compute_1_1_c_l_array.xhtml">CLLKInternalKeypointArray</a> = <a class="code" href="classarm__compute_1_1_c_l_array.xhtml">CLArray&lt;CLLKInternalKeypoint&gt;</a>;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="namespacearm__compute.xhtml#afcef84cf3b7d147b2b6ab0bd884afc16">   45</a></span>&#160;<span class="keyword">using</span> <a class="code" href="classarm__compute_1_1_c_l_array.xhtml">CLCoefficientTableArray</a>   = <a class="code" href="classarm__compute_1_1_c_l_array.xhtml">CLArray&lt;CLCoefficientTable&gt;</a>;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="namespacearm__compute.xhtml#a4ec6965f606c588137f7a48d84c1d6f0">   46</a></span>&#160;<span class="keyword">using</span> <a class="code" href="classarm__compute_1_1_c_l_array.xhtml">CLOldValueArray</a>           = <a class="code" href="classarm__compute_1_1_c_l_array.xhtml">CLArray&lt;CLOldValue&gt;</a>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_c_l_optical_flow.xhtml">   56</a></span>&#160;<span class="keyword">class </span><a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml">CLOpticalFlow</a> : <span class="keyword">public</span> <a class="code" href="classarm__compute_1_1_i_function.xhtml">IFunction</a></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;{</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml#a0c78677a1e128e674e4914ef5a534852">CLOpticalFlow</a>();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml#a0c78677a1e128e674e4914ef5a534852">CLOpticalFlow</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml">CLOpticalFlow</a> &amp;) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml">CLOpticalFlow</a> &amp;<a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml#a68eed0e07674cc6e041d5dc0fecd8c27">operator=</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml">CLOpticalFlow</a> &amp;) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml#a0c78677a1e128e674e4914ef5a534852">CLOpticalFlow</a>(<a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml">CLOpticalFlow</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml">CLOpticalFlow</a> &amp;<a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml#a68eed0e07674cc6e041d5dc0fecd8c27">operator=</a>(<a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml">CLOpticalFlow</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml#a8cd74e6bc7d3bcebbac4002717857601">configure</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_c_l_pyramid.xhtml">CLPyramid</a> *old_pyramid, <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_c_l_pyramid.xhtml">CLPyramid</a> *new_pyramid,</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;                   <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a> *old_points, <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a> *new_points_estimates, <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a> *new_points,</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                   <a class="code" href="namespacearm__compute.xhtml#a08c1503414e23f5dd10ff83492685453">Termination</a> termination, <span class="keywordtype">float</span> epsilon, <span class="keywordtype">size_t</span> num_iterations, <span class="keywordtype">size_t</span> window_dimension, <span class="keywordtype">bool</span> use_initial_estimate,</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;                   <a class="code" href="namespacearm__compute.xhtml#a15a05537a472ee742404821851529327">BorderMode</a> border_mode, uint8_t constant_border_value = 0);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="comment">// Inherited methods overridden:</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classarm__compute_1_1_c_l_optical_flow.xhtml#ad1717410afd0be936c6213a63c8005fb">run</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    std::unique_ptr&lt;CLLKTrackerInitKernel[]&gt;   _tracker_init_kernel;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    std::unique_ptr&lt;CLLKTrackerStage0Kernel[]&gt; _tracker_stage0_kernel;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    std::unique_ptr&lt;CLLKTrackerStage1Kernel[]&gt; _tracker_stage1_kernel;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <a class="code" href="classarm__compute_1_1_c_l_l_k_tracker_finalize_kernel.xhtml">CLLKTrackerFinalizeKernel</a>                  _tracker_finalize_kernel;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    std::unique_ptr&lt;CLScharr3x3[]&gt;             _func_scharr;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    std::unique_ptr&lt;CLTensor[]&gt;                _scharr_gx;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    std::unique_ptr&lt;CLTensor[]&gt;                _scharr_gy;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a>                    *_old_points;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a>                    *_new_points_estimates;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <a class="code" href="classarm__compute_1_1_i_c_l_array.xhtml">ICLKeyPointArray</a>                          *_new_points;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    std::unique_ptr&lt;CLLKInternalKeypointArray&gt; _old_points_internal;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    std::unique_ptr&lt;CLLKInternalKeypointArray&gt; _new_points_internal;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    std::unique_ptr&lt;CLCoefficientTableArray&gt;   _coefficient_table;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    std::unique_ptr&lt;CLOldValueArray&gt;           _old_values;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">size_t</span>                                     _num_levels;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;};</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;}</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/*__ARM_COMPUTE_CLOPTICALFLOW_H__ */</span><span class="preprocessor"></span></div><div class="ttc" id="namespacearm__compute_xhtml_a15a05537a472ee742404821851529327"><div class="ttname"><a href="namespacearm__compute.xhtml#a15a05537a472ee742404821851529327">arm_compute::BorderMode</a></div><div class="ttdeci">BorderMode</div><div class="ttdoc">Methods available to handle borders. </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00108">Types.h:108</a></div></div>
<div class="ttc" id="classarm__compute_1_1_i_function_xhtml"><div class="ttname"><a href="classarm__compute_1_1_i_function.xhtml">arm_compute::IFunction</a></div><div class="ttdoc">Base class for all functions. </div><div class="ttdef"><b>Definition:</b> <a href="_i_function_8h_source.xhtml#l00030">IFunction.h:30</a></div></div>
<div class="ttc" id="_c_l_l_k_tracker_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_l_k_tracker_kernel_8h.xhtml">CLLKTrackerKernel.h</a></div></div>
<div class="ttc" id="_types_8h_xhtml"><div class="ttname"><a href="_types_8h.xhtml">Types.h</a></div></div>
<div class="ttc" id="_c_l_scharr3x3_8h_xhtml"><div class="ttname"><a href="_c_l_scharr3x3_8h.xhtml">CLScharr3x3.h</a></div></div>
<div class="ttc" id="_c_l_tensor_8h_xhtml"><div class="ttname"><a href="_c_l_tensor_8h.xhtml">CLTensor.h</a></div></div>
<div class="ttc" id="namespacearm__compute_xhtml"><div class="ttname"><a href="namespacearm__compute.xhtml">arm_compute</a></div><div class="ttdef"><b>Definition:</b> <a href="arm__compute_8dox_source.xhtml#l00001">arm_compute.dox:1</a></div></div>
<div class="ttc" id="_i_array_8h_xhtml"><div class="ttname"><a href="_i_array_8h.xhtml">IArray.h</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_optical_flow_xhtml_ad1717410afd0be936c6213a63c8005fb"><div class="ttname"><a href="classarm__compute_1_1_c_l_optical_flow.xhtml#ad1717410afd0be936c6213a63c8005fb">arm_compute::CLOpticalFlow::run</a></div><div class="ttdeci">void run() override</div><div class="ttdoc">Run the kernels contained in the function. </div></div>
<div class="ttc" id="classarm__compute_1_1_i_c_l_array_xhtml"><div class="ttname"><a href="classarm__compute_1_1_i_c_l_array.xhtml">arm_compute::ICLArray</a></div><div class="ttdoc">Interface for OpenCL Array. </div><div class="ttdef"><b>Definition:</b> <a href="_i_c_l_array_8h_source.xhtml#l00035">ICLArray.h:35</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_pyramid_xhtml"><div class="ttname"><a href="classarm__compute_1_1_c_l_pyramid.xhtml">arm_compute::CLPyramid</a></div><div class="ttdoc">Basic implementation of the OpenCL pyramid interface. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_pyramid_8h_source.xhtml#l00040">CLPyramid.h:40</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_optical_flow_xhtml_a68eed0e07674cc6e041d5dc0fecd8c27"><div class="ttname"><a href="classarm__compute_1_1_c_l_optical_flow.xhtml#a68eed0e07674cc6e041d5dc0fecd8c27">arm_compute::CLOpticalFlow::operator=</a></div><div class="ttdeci">CLOpticalFlow &amp; operator=(const CLOpticalFlow &amp;)=delete</div><div class="ttdoc">Prevent instances of this class from being copied (As this class contains pointers) ...</div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_optical_flow_xhtml_a0c78677a1e128e674e4914ef5a534852"><div class="ttname"><a href="classarm__compute_1_1_c_l_optical_flow.xhtml#a0c78677a1e128e674e4914ef5a534852">arm_compute::CLOpticalFlow::CLOpticalFlow</a></div><div class="ttdeci">CLOpticalFlow()</div><div class="ttdoc">Default constructor. </div></div>
<div class="ttc" id="namespacearm__compute_xhtml_a08c1503414e23f5dd10ff83492685453"><div class="ttname"><a href="namespacearm__compute.xhtml#a08c1503414e23f5dd10ff83492685453">arm_compute::Termination</a></div><div class="ttdeci">Termination</div><div class="ttdoc">Termination criteria. </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00217">Types.h:217</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_optical_flow_xhtml"><div class="ttname"><a href="classarm__compute_1_1_c_l_optical_flow.xhtml">arm_compute::CLOpticalFlow</a></div><div class="ttdoc">Basic function to execute optical flow. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_optical_flow_8h_source.xhtml#l00056">CLOpticalFlow.h:56</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_optical_flow_xhtml_a8cd74e6bc7d3bcebbac4002717857601"><div class="ttname"><a href="classarm__compute_1_1_c_l_optical_flow.xhtml#a8cd74e6bc7d3bcebbac4002717857601">arm_compute::CLOpticalFlow::configure</a></div><div class="ttdeci">void configure(const CLPyramid *old_pyramid, const CLPyramid *new_pyramid, const ICLKeyPointArray *old_points, const ICLKeyPointArray *new_points_estimates, ICLKeyPointArray *new_points, Termination termination, float epsilon, size_t num_iterations, size_t window_dimension, bool use_initial_estimate, BorderMode border_mode, uint8_t constant_border_value=0)</div><div class="ttdoc">Initialise the function input and output. </div></div>
<div class="ttc" id="_i_function_8h_xhtml"><div class="ttname"><a href="_i_function_8h.xhtml">IFunction.h</a></div></div>
<div class="ttc" id="_c_l_array_8h_xhtml"><div class="ttname"><a href="_c_l_array_8h.xhtml">CLArray.h</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_l_k_tracker_finalize_kernel_xhtml"><div class="ttname"><a href="classarm__compute_1_1_c_l_l_k_tracker_finalize_kernel.xhtml">arm_compute::CLLKTrackerFinalizeKernel</a></div><div class="ttdoc">Interface to run the finalize step of LKTracker, where it truncates the coordinates stored in new_poi...</div><div class="ttdef"><b>Definition:</b> <a href="_c_l_l_k_tracker_kernel_8h_source.xhtml#l00093">CLLKTrackerKernel.h:93</a></div></div>
<div class="ttc" id="classarm__compute_1_1_c_l_array_xhtml"><div class="ttname"><a href="classarm__compute_1_1_c_l_array.xhtml">arm_compute::CLArray</a></div><div class="ttdoc">CLArray implementation. </div><div class="ttdef"><b>Definition:</b> <a href="_c_l_array_8h_source.xhtml#l00037">CLArray.h:37</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_8bc26130589aa16388b5a02f17abf2c2.xhtml">runtime</a></li><li class="navelem"><a class="el" href="dir_b986aa98f9b6490bb4fc7918500346fb.xhtml">CL</a></li><li class="navelem"><a class="el" href="dir_251c63bc3f70b60acf43edd6d870a3ef.xhtml">functions</a></li><li class="navelem"><a class="el" href="_c_l_optical_flow_8h.xhtml">CLOpticalFlow.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
